# Retrieve a list of payments Retrieve a list of payments that have been created for your account. The payments are sorted, with the most recent first. Endpoint: GET /payments Version: v1 Security: apiKey ## Response 200 fields (application/json): - `type` (string, required) Enum: "list" - `data` (array, required) Example: [{"id":"PPH25H07JYWLR7PA82","type":"payment","amount":1000,"description":"Test Payment","currency":"EUR","pay_method":{"id":"ideal","type":"pay_method","name":"iDEAL","currencies":["EUR"],"minimum_amount":10,"maximum_amount":5000000,"details":{}},"state":"paid","refunded_amount":0,"return_url":"https://example.com/thank-you","cancel_url":"https://example.com/cancel","metadata":{},"customer":"CU7JRN6W6K3DA9","mandate":"MD6ULYXJ4HP9RJ","subscription":null,"installment_plan":null,"locale":"en","paid_at":"2023-06-30T12:44:35Z","created_at":"2023-06-30T12:40:10Z","_links":{"self":"https://api.paypro.nl/payments/PPH25H07JYWLR7PA82","customer":"https://api.paypro.nl/customers/CU7JRN6W6K3DA9","mandate":"https://api.paypro.nl/mandates/MD6ULYXJ4HP9RJ"}}] - `data.id` (string, required) Example: "PPH25H07JYWLR7PA82" - `data.amount` (integer, required) Example: 1000 - `data.description` (string, required) Example: "Test Payment" - `data.currency` (string, required) Enum: "EUR" - `data.pay_method` (any, required) Example: {"id":"ideal","type":"pay_method","name":"iDEAL","currencies":["EUR"],"minimum_amount":10,"maximum_amount":5000000,"details":{}} - `data.state` (string, required) Example: "paid" - `data.refunded_amount` (integer, required) - `data.return_url` (string,null, required) Example: "https://example.com/thank-you" - `data.cancel_url` (string,null, required) Example: "https://example.com/cancel" - `data.metadata` (object, required) Example: {} - `data.customer` (string,null, required) Example: "CU7JRN6W6K3DA9" - `data.mandate` (string,null, required) Example: "MD6ULYXJ4HP9RJ" - `data.subscription` (string,null, required) - `data.installment_plan` (string,null, required) - `data.locale` (string,null, required) Enum: "de", "en", "fr", "nl" - `data.paid_at` (string,null, required) Example: "2023-06-30T12:44:35Z" - `data.fail_reason` (string,null) Enum: "The transaction amount or count exceeds the permitted frequency for this card or account.", "The card holder lacks sufficient funds to complete the transaction.", "The transaction could not be processed with the provided card number.", "The issuer has declined the transaction for authentication reasons.", "The transaction is suspected to be fraudulent.", "The issuer did not allow this transaction against this card based on internal reasons, such as the transaction originated from a specifically restricted industry or country.", "The payment is declined." - `data.created_at` (string,null, required) Example: "2023-06-30T12:40:10Z" - `data._links` (object, required) Example: {"self":"https://api.paypro.nl/payments/PPH25H07JYWLR7PA82","customer":"https://api.paypro.nl/customers/CU7JRN6W6K3DA9","mandate":"https://api.paypro.nl/mandates/MD6ULYXJ4HP9RJ"} - `data._links.self` (string, required) Example: "https://api.paypro.nl/payments/PPH25H07JYWLR7PA82" - `data._links.checkout` (string) - `count` (integer, required)